.ontologyCardContainer {
    box-sizing: border-box;
    background-repeat: no-repeat;
    background-size: cover;
    box-shadow: 5px 10px 10px rgb(22, 22, 22);
    border-radius: 25px;
    width: auto;
    height:auto;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.cardButtonContainer {
    display: flex;
    justify-content: end;
    gap: 4.5rem;
    word-spacing: normal;
    margin-top:auto;
}

.cardTitle > h2 {
    text-overflow: ellipsis;
    overflow: hidden;
    word-wrap: break-word;
    overflow-wrap: break-word;
    color: #ffffff;
    font-style: normal;
    font-weight: 600;
    font-size: 3rem;
    line-height: 3.8rem;
    margin-top: 30px;
    margin-bottom: 10px;
}
 
.cardDescription {
    color: #ffffff;
    font-weight: 400;
    margin-bottom:100px;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

@media screen and (max-width: 1850px) {
    .ontologyCardContainer {
        max-width: 50%;
    }
    .cardButtonContainer {
        gap: 3.3rem;
    }
}

@media screen and (max-width: 1720px) {
    .ontologyCardContainer {
        max-width: 40%;
    }
    .cardButtonContainer {
        gap: 2.3rem;
    }
}

@media screen and (max-width: 1600px) {
    .ontologyCardContainer {
        max-width: 35%;
    }
    .cardButtonContainer {
        gap: 0.5rem;
    }
}

@media screen and (max-width: 1440px) {
    .ontologyCardContainer {
        max-width: 35%;
    }
    .cardButtonContainer {
        gap: 1.3rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .cardDescription {
        margin-bottom:50px;
    }
}

@media screen and (max-width: 1230px) {
    .ontologyCardContainer {
        max-width: 600px;
    }
    .cardButtonContainer {
        display: flex;
        justify-content: end;
        flex-direction:row;
        gap: 4.5rem;
        word-spacing: normal;
    }
}

@media screen and (max-width: 635px) {
    .ontologyCardContainer {
        max-width: 400px;
        padding-top: 20px;
        padding-bottom: 30px;
        justify-content: start;
    }

    .cardButtonContainer {
        gap: 1.3rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .cardDescription {
        margin-bottom: 25px;
    }
}

@media screen and (max-width: 425px) {
    .cardTitle > h2 {
        white-space: initial;
        margin-top: 25px;
    }

    .cardDescription {
        font-weight: 400px;
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 320px) {
}






[data-theme='dark'] .ontologyCardContainer:nth-child(1) {
    background-image: linear-gradient(
            rgba(0, 0, 0, 0.15),
            rgba(17, 17, 17, 0.5)
        ),
        url('/static/img/darkModeCard1.png');
}

[data-theme='dark'] .ontologyCardContainer:nth-child(2) {
    background-image: linear-gradient(
            rgba(0, 0, 0, 0.15),
            rgba(17, 17, 17, 0.5)
        ),
        url('/static/img/darkModeCard2.png');
}

[data-theme='dark'] .ontologyCardContainer:nth-child(3) {
    background-image: linear-gradient(
            rgba(0, 0, 0, 0.15),
            rgba(17, 17, 17, 0.5)
        ),
        url('/static/img/darkModeCard3.png');
}

[data-theme='light'] .ontologyCardContainer {
    box-shadow: 5px 10px 15px rgb(13, 13, 13);
}

.ontologyCardContainer:nth-child(1) {
    background-image: url('/static/img/lightModeCard1.png');
}

.ontologyCardContainer:nth-child(2) {
    background-image: url('/static/img/lightModeCard2.png');
}

.ontologyCardContainer:nth-child(3) {
    background-image: url('/static/img/lightModeCard3.png');
}
